Subject: Re: bug#13611: SEGV during SMOB GC

From: [email-masked] (Ludovic Courtès)
Date: Tue, 05 Feb 2013 22:13:09 +0100

Mike Gran <[email-masked]> skribis:

>>>  Is that expected that GC is sometimes called from a 
>
>>>  thread where scm_i_current_thread is null and sometimes
>>>  called from a thread where scm_i_current_thread is
>>>  not null?
>> 
>> Can you check whether your GC was built with --enable-parallel-mark?
>> 
>> I’m confident that the SMOB mark procedure is never called with null
>> scm_i_current_thread with 7.2 compiled with the default options (the
>> GnuTLS bindings rely on this, and I had not seen any such report until
>> someone tried with GC 7.3pre, which uses the parallel marker by
>> default.)
>
> It looks like fedora gc rpms do use --enable-parallel-mark
> for x86 architectures.

Then that’s the problem.

> But it looks like it has been that way for a long time.
> Since 2005 at least.

And you did not have the problem before?  That part of Guile hasn’t
changed in a long time, I think.

Ludo’.